Loading...
Searching...
No Matches
Initialization and Cleanup
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types

Each instance of a gesture subscription must be created using the geis_init() call and destroyed using the geis_finish() call. More...

## Topics

| Configuration and Control

## Data Structures

class | GeisWinInfo
| Generic display region description block. More...
class | GeisInstance
| A geis gesture subscription instance. More...

## Standard fundamental gesture attributes

typedef struct GeisWinInfo | GeisWinInfo
GeisStatus | geis_init (GeisWinInfo *win_info, GeisInstance *geis_instance)
| Initializes a geis subscription instance for a display region.
GeisStatus | geis_finish (GeisInstance geis_instance)
| Cleans up a geis subscription instance for a display region.

## Detailed Description

Each instance of a gesture subscription must be created using the geis_init() call and destroyed using the geis_finish() call.

A particular subscription instance is associated with a display region. The nature of the display region depends on the underlying display technology. For example, an X11 window or even a subregion of an X11 window could be an associated display region when geis is layered over X11 technology.

The nature of the display desciption information depends on the actual underlyinggeis implementation and is documented separately. The implementation-specific description must be passed to geis_init using a GeisWinInfo structure.

## Function Documentation

## geis_finish()

GeisStatus geis_finish | ( | GeisInstance | geis_instance | ) |

Cleans up a geis subscription instance for a display region.

Parameters

  [in] | geis_instance | an opaque pointer to a geis gesture subscription instance

Return values

  GEIS_BAD_ARGUMENT | an invalid GeisInstance was passed
  GEIS_STATUS_SUCCESS | normal successful completion

## geis_init()

GeisStatus geis_init | ( | GeisWinInfo * | win_info,
|  | GeisInstance * | geis_instance )

Initializes a geis subscription instance for a display region.

Parameters

  [in] | win_info | a display region description block – see geis implementtaion documentation
  [out] | geis_instance | an opaque pointer to a geis gesture subscription instance

Return values

  GEIS_BAD_ARGUMENT | an invalid GeisWinInfo was passed
  GEIS_STATUS_SUCCESS | normal successful completion